%global srcname fast_tls


Name: erlang-%{srcname}
Version: 1.0.7
Release: 1%{?dist}

License: ASL 2.0
Summary: TLS / SSL native driver for Erlang / Elixir
URL: https://github.com/processone/%{srcname}/
Source0: https://github.com/processone/%{srcname}/archive/%{version}.tar.gz
# Set the default cipher list to PROFILE=SYSTEM.
# https://fedoraproject.org/wiki/Packaging:CryptoPolicies
Patch0: 0000-Use-the-system-ciphers-by-default.patch

Provides:  erlang-p1_tls = %{version}-%{release}
Obsoletes: erlang-p1_tls < 1.0.1

BuildRequires: erlang-rebar
BuildRequires: openssl-devel

Requires: erlang-p1_utils >= 1.0.5

%{?__erlang_drv_version:Requires: %{__erlang_drv_version}}
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
TLS / SSL native driver for Erlang / Elixir. This is used by ejabberd.


%prep
%setup -n %{srcname}-%{version} -q

%patch0


%build
%{rebar_compile}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Thu Sep 15 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.7-1
- Update to 1.0.7 (#1365095).

* Sat Jul 30 2016 Randy Barlow <randy@electronsweatshop.com> - 1.0.6-1
- Update to 1.0.6 (#1354093).

* Fri Jul 01 2016 Jeremy Cline <jeremy@jcline.org> - 1.0.5-1
- Update to 1.0.5 (#1349873)
- Add missing runtime requirement, erlang-p1_utils

* Tue May 03 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.3-1
- Update to 1.0.3 (#1330992).
- Fix the patch to match 1.0.3.

* Fri Mar 18 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-2
- Add a debuginfo package for the DRV and NIF code.

* Thu Mar 10 2016 Randy Barlow <rbarlow@redhat.com> - 1.0.1-1
- Initial release.
